Bug 51891 - [Xamarin-Profiler]: Usability: OSX: VoiceOver: The VoiceOver is announcing as "Radio button" for the "Tab item" of "Instrument Detail Area".
Summary: [Xamarin-Profiler]: Usability: OSX: VoiceOver: The VoiceOver is announcing as...
Status: REOPENED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Mac (show other bugs)
Version: 1.0.x
Hardware: PC Mac OS
: --- normal
Target Milestone: 15.6
Assignee: Jose Medrano
URL:
: 51892 51893 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-01-28 07:39 UTC by Ramya Sri Narasinga
Modified: 2018-02-09 05:06 UTC (History)
7 users (show)

Tags: accessibility, wipro, xamarin-profiler, a11yusable, BugReactivated1_NotFixed
Is this bug a regression?: ---
Last known good build:


Attachments
7. Tab_ItemsIsBeingAnnouncedAsRadioButtons (352.57 KB, image/png)
2017-01-28 07:39 UTC, Ramya Sri Narasinga
Details
Issue still exists on the provided build. (690.06 KB, image/png)
2018-02-07 07:04 UTC, Ramya Sri Narasinga
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 51891 on Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.
Related Links:
Status:
REOPENED

Description Ramya Sri Narasinga 2017-01-28 07:39:20 UTC
Created attachment 19576 [details]
7. Tab_ItemsIsBeingAnnouncedAsRadioButtons

Testing Environment:
OS: OSX (Version: 10.11.6)
Xamarin-Profiler: 1.0.4 

Pre-Requisite: 
1. Install Xamarin Studio.
2. Launch Xamarin Studio.
3. Navigate to top menu bar of the Xamarin studio> File> New Solution> Press ENTER
("Choose a template for your new project" wizard is opened)
4.  Navigate to App under Multiplatform> Forms app under Xamarin.Forms
5. Navigate to Next button> Press ENTER
('Configure your Form app' wizard is opened.)
6. Fill the App name, check all the target platform-check box, select use portable class library radio button, use XAML for user interface files.
7. Navigate to Next button> Press ENTER
(Configure your new project" wizard is opened)
8. Navigate to Create> Press ENTER.
(New project is created)
9. Turn VoiceOver ON using Command + F5.

Repro Steps:
"1. Run Pre-requisite
2. Navigate to Top menu bar of ""Xamarin Studio"" > Run> Start Profiling, then Press ENTER to launch Xamarin Profiler.
 (Xamarine Profiler is launched.)
3. Navigate to ""General"" Button (LHS).
4. Navigate to ""All instruments"" , press ENTER to start profiling.
5. Press CAPS+RIGHT/LEFT ARROW keys to navigate the any of the the following Tab items of ""Instrument Detail Area"":
1. Allocations
2. Call tree
3. Snapshots
4. Console

Scenario 2:
Same issue found  with the following tab items of ""Instrument Detail Area"":
General buttons ->All instruments- > Start profiling-> RHS pane. Press Caps + left/right arrow keys to navigate any of the following tab items:
1. Information
2. Stack trace
3. Paths to roots

(Note: The above issue found with all the tab items of ""Instrument Detail Area""  for this application)"


Actual result:
"Scenario1:
For any of the Tab items of ""Instrument Detail Area"" in this application, VoiceOver is announcing as "" Radio button"
Example: For Call tree it is announcing as "" Call tree, radio button"" 
Scenario2:
For Tab items in ""Inspector View"" pane, VoiceOver is announcing as "" Radio button"".
Example: For the Stack trace tab item, the VoiceOver is announcing as "" Radio Button"""


Expected result:
"Scenario1:
For any of the Tab items of ""Instrument Detail Area"", VoiceOver should announce as ""Tab Item"".
Example: For Call tree tab item, VoiceOver should announce as "" Call tree, tab item"" 

Scenario2:
For Tab items in ""Inspector View"" pane, VoiceOver should announce as ""Tab Item"".
Example: For the Stack trace tab item, the VoiceOver should announce as ""Stack trace, Tab Item""."



User impact:
The Screen Reader user would consider it as "radio button" , although it is "tab item"
Comment 1 Jose Medrano 2017-07-17 19:07:44 UTC
*** Bug 51893 has been marked as a duplicate of this bug. ***
Comment 2 Jose Medrano 2017-07-19 11:17:44 UTC
*** Bug 51892 has been marked as a duplicate of this bug. ***
Comment 3 xamarin-release-manager 2017-07-21 10:34:45 UTC
Fixed in version 1.5.7.55 (master)

Author: Jose Medrano
Commit: fac13393120687b81f826407b2db81728afc681d (xamarin/profiler)
Comment 4 Ramya Sri Narasinga 2017-07-24 12:50:15 UTC
Bug is checked in

macOS Sierra v10.12.5
Xamarin Profiler v 1.5.5-6

Voiceover still announce them as Radio-buttons.
Comment 7 xamarin-release-manager 2017-10-13 10:51:34 UTC
Fixed in version 1.6.1.89 (master)

Author: Jose Medrano
Commit: 7c2656d31d9bd15a2d997a36549a07e579ec6f22 (xamarin/profiler)
Comment 8 Ramya Sri Narasinga 2018-02-07 07:04:32 UTC
Created attachment 26156 [details]
Issue still exists on the provided build.
Comment 9 Ramya Sri Narasinga 2018-02-07 07:06:36 UTC
The issue still exists on the below provided build, So reactivating this bug:
Xamarin Profiler Version 1.6.1-483